# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from typing import Optional
from datetime import date

from pydantic import Field as FieldInfo

from .._models import BaseModel
from .site_read import SiteRead

__all__ = ["PatientMatch", "NextAppointment"]


class NextAppointment(BaseModel):
    date: str


class PatientMatch(BaseModel):
    id: int

    dob: Optional[date] = None

    email: Optional[str] = None

    family_name: str = FieldInfo(alias="familyName")

    given_name: str = FieldInfo(alias="givenName")

    match_last_updated: Optional[str] = FieldInfo(alias="matchLastUpdated", default=None)

    match_percentage: float = FieldInfo(alias="matchPercentage")

    next_appointment: Optional[NextAppointment] = FieldInfo(alias="nextAppointment", default=None)

    site_id: int = FieldInfo(alias="siteId")

    trially_patient_id: str = FieldInfo(alias="triallyPatientId")

    cell_phone: Optional[str] = FieldInfo(alias="cellPhone", default=None)

    do_not_call: Optional[bool] = FieldInfo(alias="doNotCall", default=None)

    home_phone: Optional[str] = FieldInfo(alias="homePhone", default=None)

    last_encounter_date: Optional[date] = FieldInfo(alias="lastEncounterDate", default=None)

    last_patient_activity: Optional[date] = FieldInfo(alias="lastPatientActivity", default=None)

    middle_name: Optional[str] = FieldInfo(alias="middleName", default=None)

    phone: Optional[str] = None

    provider_first_name: Optional[str] = FieldInfo(alias="providerFirstName", default=None)

    provider_last_name: Optional[str] = FieldInfo(alias="providerLastName", default=None)

    site: Optional[SiteRead] = None
